/*
  $Id: sys.h 718 2006-05-09 15:32:34Z jens $

  Copyright (C) 2001-2006 Jens Thoms Toerring
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  To contact the author send email to: jt@toerring.de
*/


/* File contains declarations of variables and functions that are defined
   in the hardware-independent part of the driver but are also required by
   the hardware-dependent part */


extern int gpib_status;
extern int gpib_error;
extern unsigned long gpib_count;
extern int PDEBUG_len;


/* From irq.c */

#if LINUX_VERSION_CODE >= KERNEL_VERSION( 2, 6, 19 )
irqreturn_t gpib_interrupt_handler( int              irq,
				    void *           dev_id );
#elif LINUX_VERSION_CODE >= KERNEL_VERSION( 2, 6, 0 )
irqreturn_t gpib_interrupt_handler( int              irq,
				    void *           dev_id,
				    struct pt_regs * regs );
#else

void gpib_interrupt_handler( int              irq,
			     void *           dev_id,
			     struct pt_regs * regs );
#endif

/* From dma.c */

extern void gpib_isa_dma_enable( void *       buf,
				 unsigned int size,
				 bool         dir );
extern int gpib_isa_dma_disable( void );


/* From util.c */

extern void semaphore_init( struct semaphore * semaphore,
			    int                state );

/* From timer.c */

extern void gpib_start_timer( void );
extern void gpib_stop_timer( void );


/*
 * Local variables:
 * c-basic-offset: 8
 * c-indent-level: 8
 * c-brace-imaginary-offset: 0
 * c-brace-offset: 0
 * c-argdecl-indent: 4
 * c-label-ofset: -4
 * c-continued-statement-offset: 4
 * c-continued-brace-offset: 0
 * indent-tabs-mode: t
 * tab-width: 8
 * End:
 */
