/*
  $Id: sys_common.h 732 2006-05-30 20:13:39Z jens $

  Copyright (C) 2001-2006 Jens Thoms Toerring
 
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
  To contact the author send email to: jt@toerring.de
*/


/* This file contains declarations of variables and functions used
   exclusively by the hardware-independent part of the driver */


/* Structure with information about the board */

extern Board_t board;


/* Structure with all supported operations */

extern struct file_operations gpib_fops;


/* Size of memory (in kB) allocated for transfers */

extern int mem_size;


/* From util.c */

extern int gpib_onl( int v );
extern int gpib_wait( int mask );
extern int gpib_get_state( void );
extern int gpib_ren( bool remote );
extern int gpib_gts( void );
extern int gpib_sic( void );
extern int gpib_setup_listener( unsigned int address );
extern int gpib_setup_talker( unsigned int address );
extern int gpib_ppc( unsigned int address,
		     int          state );
extern int gpib_rpp( void __user * ppr );
extern int gpib_cac( int how );
extern int gpib_rsp( unsigned int address );
extern int gpib_trg( unsigned int address );
extern int gpib_clr( unsigned int address );
extern int gpib_dcl( void );
extern int gpib_local( unsigned int address );
extern int gpib_llo( unsigned int address );
extern int gpib_eos( int v );
extern int gpib_pad( int pad );
extern int gpib_sad( int sad );
extern int gpib_command_setup( void );
extern int gpib_lines( void );
extern int gpib_ln( unsigned int address );


/* From irq.c */

extern int gpib_set_irq( int state );


/* From dma.c */

extern int gpib_set_dma( int state );


/* From memory.c */

extern bool gpib_get_memory( Board_t * board,
			     int       size );


/* From timer.c */

extern void gpib_setup_timer( void );
extern int gpib_timo( int timo );


/* From proc_entry.c */

#ifdef CONFIG_PROC_FS
#if LINUX_VERSION_CODE >= KERNEL_VERSION( 2, 2, 0 )
extern int gpib_read_proc( char  * buffer,
			   char ** start,
			   off_t   offset,
			   int     count,
			   int *   eof,
			   void *  data );
#else
extern int gpib_read_proc( char *  buffer,
			   char ** start,
			   off_t   offset,
			   int     count,
			   int     unused );
#endif
#endif


/* From cmd.c */

extern int gpib_cmd( void __user * buffer,
		     unsigned long write_count );


/* From read.c */

extern int gpib_read( unsigned int  address,
		      void __user * buffer,
		      unsigned long read_count,
		      bool          dvrd );


/* From write.c */

extern int gpib_write( unsigned int        address,
		       const void __user * buffer,
		       unsigned long       write_count,
		       bool                vwrt );

/*
 * Local variables:
 * c-basic-offset: 8
 * c-indent-level: 8
 * c-brace-imaginary-offset: 0
 * c-brace-offset: 0
 * c-argdecl-indent: 4
 * c-label-ofset: -4
 * c-continued-statement-offset: 4
 * c-continued-brace-offset: 0
 * indent-tabs-mode: t
 * tab-width: 8
 * End:
 */
